## EvSidebarPage

EvSidebarPage

## Functions

#define | EV_SIDEBAR_PAGE_IFACE ()
#define | EV_IS_SIDEBAR_PAGE_IFACE ()
gboolean | ev_sidebar_page_support_document ()
void | ev_sidebar_page_set_model ()
const gchar * | ev_sidebar_page_get_label ()

## Properties

GtkWidget * | main-widget | Read

## Types and Values

| EvSidebarPage

## Object Hierarchy

        GInterface
        ╰── EvSidebarPage

## Known Implementations

EvSidebarPage is implemented by EvSidebarAttachments, EvSidebarLayers, EvSidebarLinks and EvSidebarThumbnails.

## Description

## Functions

### EV_SIDEBAR_PAGE_IFACE()

    #define EV_SIDEBAR_PAGE_IFACE(k) (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_SIDEBAR_PAGE, EvSidebarPageInterface))

### EV_IS_SIDEBAR_PAGE_IFACE()

    #define EV_IS_SIDEBAR_PAGE_IFACE(k) (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_SIDEBAR_PAGE))

### ev_sidebar_page_support_document ()

    gboolean
    ev_sidebar_page_support_document (EvSidebarPage *sidebar_page,
                                      EvDocument *document);

### ev_sidebar_page_set_model ()

    void
    ev_sidebar_page_set_model (EvSidebarPage *sidebar_page,
                               EvDocumentModel *model);

### ev_sidebar_page_get_label ()

    const gchar *
    ev_sidebar_page_get_label (EvSidebarPage *page);

## Types and Values

### EvSidebarPage

    typedef struct _EvSidebarPage EvSidebarPage;

## Property Details

### The `“main-widget”` property

      “main-widget”              GtkWidget *

Main page widget, used to handle focus.

Flags: Read